#
# spec file for package cddlib
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           cddlib
%define lname   libcdd0
Version:        0.94g
Release:        11.3
Summary:        Library for finding vertices of convex polytopes
License:        GPL-2.0+
Group:          Productivity/Scientific/Math
Url:            http://www.ifor.math.ethz.ch/~fukuda/cdd_home/

Source:         ftp://ftp.ifor.math.ethz.ch/pub/fukuda/cdd/%name-094g.tar.gz
Patch1:         cddlib-flags.diff
Patch2:         cddlib-automake.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  gmp-devel >= 3
BuildRequires:  libtool

%description
cddlib is a C implementation of the Double Description Method of
Motzkin et al. for generating all vertices (i.e. extreme points) and
extreme rays of a general convex polyhedron in R^d given by a system
of linear inequalities.

%package -n %lname
Summary:        Library for finding vertices of convex polytopes
Group:          System/Libraries

%description -n %lname
cddlib is a C implementation of the Double Description Method of
Motzkin et al. for generating all vertices (i.e. extreme points) and
extreme rays of a general convex polyhedron in R^d given by a system
of linear inequalities.

%package devel
Summary:        Development files for cddlib
Group:          Development/Libraries/C and C++
Requires:       %lname = %version
Requires:       gmp-devel

%description devel
cddlib is a C implementation of the Double Description Method of
Motzkin et al. for generating all vertices (i.e. extreme points) and
extreme rays of a general convex polyhedron in R^d given by a system
of linear inequalities.

%prep
%setup -qn %name-094g
%patch -P 1 -P 2 -p1

%build
autoreconf -fi;
%configure --enable-shared --disable-static
make %{?_smp_mflags}

%install
make install DESTDIR="%buildroot";
rm -f "%buildroot/%_libdir"/*.la;

%post   -n %lname -p /sbin/ldconfig
%postun -n %lname -p /sbin/ldconfig

%files -n %lname
%defattr(-,root,root)
%_libdir/libcdd*.so.*

%files devel
%defattr(-,root,root)
%_bindir/*
%_libdir/libcdd*.so
%_includedir/*

%changelog
* Sat Oct 11 2014 jengelh@inai.de
- Use source URLs
* Tue Aug 21 2012 jengelh@inai.de
- Restore and rediff patches
* Tue Aug 21 2012 dmitry@roshchin.org
- Update to version 0.94g
  * fixed memory leaks in cddlib.c and cddlp.c
  * integrated patches for making the library
    shared and more compatible for C++ compilers
